# Generátor článků o autech

Tento PHP skript generuje články o autech v češtině pomocí OpenAI API. Generuje jak text článků, tak i obrázky.

## Požadavky

- PHP 7.4 nebo novější
- Composer
- OpenAI API klíč

## Instalace

1. Naklonujte tento repozitář
2. Nainstalujte závislosti pomocí Composeru:
```bash
composer install
```

## Použití

1. Spusťte PHP server v adresáři projektu:
```bash
php -S localhost:8000
```

2. Otevřete prohlížeč a přejděte na `http://localhost:8000`

3. V rozhraní můžete:
   - Vybrat kategorii (elektrická auta nebo ostatní auta)
   - Zadat počet článků (1-40)
   - Kliknout na "Generovat články"

## Funkce

- Generování článků v češtině
- Automatické generování obrázků
- Podpora více kategorií
- Automatické přidávání zdrojů
- Responsivní design

## Poznámky

- API klíč je již nastaven v kódu
- Generování většího počtu článků může trvat déle
- Obrázky jsou generovány pomocí DALL-E 